| # an alternative URL that could be used: https://github.com/creationix/nvm/tarball/master |
| TARBALL_URL="https://api.github.com/repos/creationix/nvm/tarball" |
| if [ -d "$NVM_TARGET" ]; then |
| echo "=> NVM is already installed in $NVM_TARGET, trying to update" |
| # Downloading to $NVM_TARGET |
| pushd "$NVM_TARGET" > /dev/null |
| curl --silent -L "$TARBALL_URL" | tar -xz --strip-components=1 || exit 1 |
| # Detect profile file, .bash_profile has precedence over .profile |
| if [ -f "$HOME/.bash_profile" ]; then |
| PROFILE="$HOME/.bash_profile" |
| elif [ -f "$HOME/.profile" ]; then |
| SOURCE_STR="[[ -s "$NVM_TARGET/nvm.sh" ]] && . "$NVM_TARGET/nvm.sh" # This loads NVM" |
| if [ -z "$PROFILE" ] || [ ! -f "$PROFILE" ] ; then |
| echo "=> Profile not found" |
| echo "=> Profile $PROFILE not found" |
| echo "=> Append the following line to the correct file yourself" |
| echo "=> Close and reopen your terminal to start using NVM" |
| if ! grep -qc 'nvm.sh' $PROFILE; then |
| echo "=> Appending source string to $PROFILE" |
| echo $SOURCE_STR >> "$PROFILE" |
| echo "=> Source string already in $PROFILE" |
| echo "=> Close and reopen your terminal to start using NVM" |